Go to the latest version of this document.

# ``twisted`.`internet`.`error`.`PotentialZombieWarning``

exception documentation

`class PotentialZombieWarning(Warning): (source)`

View In Hierarchy

Emitted when `IReactorProcess.spawnProcess` is called in a way which may result in termination of the created child process not being reported.

Deprecated in Twisted 10.0.

Constant | `MESSAGE` | Undocumented

MESSAGE: `str` = (source)

Undocumented

Value

    'spawnProcess called, but the SIGCHLD handler is not installed. This probably me↵
    ans you have not yet called reactor.run, or called reactor.run(installSignalHand↵
    ler=0). You will probably never see this process finish, and it may become a zom↵
    bie process.'